Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004058 [JEDI VCL] 00 JVCL Components minor always 2007-02-07 07:18 2007-06-19 07:15
Reporter willhonor View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.30
Summary 0004058: TJvDBDateTimePicker Does not obey DropDownDate when current date = nulldate
Description When the TJvDBDateTimePicker has the current date = nulldate and the dropdown box is shown it will always show the epox date. The text below is taken from a newsgroup post I made some time ago.

  When the control has focus the nulltext is copied to
FKeepNulltext and FNulltext is set to ''. When the control is dropped
down it has to decide whether or not the value is null. For some reason
the first part of that check is to see whether or not FNulltext has a
value. Therefore CheckNullValue will always return False and the
dropdowndate will be incorrect. The following fix appears to work for
me.

Regards,
  Will.

JvDateTimePicker.pas

Change this :

function TJvDateTimePicker.CheckNullValue: Boolean;
begin
  Result := CheckNullValue(FNullText, Format, Kind, DateTime, NullDate);
end;

To this :

function TJvDateTimePicker.CheckNullValue: Boolean;
var tmpNullText : String ;
begin
  if self.Focused
  then tmpNullText := FKeepNullText
  else tmpNullText := FNullText ;
  Result := CheckNullValue(tmpNullText, Format, Kind, DateTime,
NullDate);
end;
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0006220resolvedobones Issue 4058 fix is not in code 

-  Notes
(0013440)
obones (administrator)
2007-06-19 07:15

This is now in SVN

- Issue History
Date Modified Username Field Change
2007-02-07 07:18 willhonor New Issue
2007-06-19 07:15 obones Status new => resolved
2007-06-19 07:15 obones Fixed in Version => Daily / SVN
2007-06-19 07:15 obones Resolution open => fixed
2007-06-19 07:15 obones Assigned To => obones
2007-06-19 07:15 obones Note Added: 0013440
2013-12-13 11:07 obones Relationship added related to 0006220


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker